Service Groups
Get Service Group Info
Get a template-creation-screen style summary of a deployed service group, with labeled hosts and variables.
Get a template-creation-screen style summary of a deployed service group, with labeled hosts and variables.
Authorization
bearerAuth AuthorizationBearer <token>
Access token or API key (unb_...) passed as Authorization: Bearer <token>.
In: header
Query Parameters
id*string
The ID of the service group
Format
uuidteam_id*string
The ID of the team
Format
uuidproject_id*string
The ID of the project
Format
uuidenvironment_id*string
The ID of the environment
Format
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/service_groups/info?id=497f6eca-6276-4993-bfeb-53cbbbba6f08&team_id=497f6eca-6276-4993-bfeb-53cbbbba6f08&project_id=497f6eca-6276-4993-bfeb-53cbbbba6f08&environment_id=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "data": { "service_group": { "created_at": "2019-08-24T14:15:22Z", "description": "string", "environment_id": "40ef0e48-a11f-4963-a229-e396c9f7e7c4", "icon": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "template_id": "c6d67e98-83ea-49f0-8812-e4abae2b68bc" }, "services": [ { "hosts": [ { "description": "string", "display_name": "string", "host": "string", "path": "string", "target_port": 0, "template_input_id": "string" } ], "icon": "string", "name": "string", "service_id": "641e839f-864e-4cce-98f9-40f6cbb3e9e0", "variables": [ { "description": "string", "display_name": "string", "name": "string", "template_input_id": "string", "value": "string" } ], "volumes": [ { "can_delete": true, "capacity_gb": 0.1, "created_at": "2019-08-24T14:15:22Z", "description": "string", "environment_id": "40ef0e48-a11f-4963-a229-e396c9f7e7c4", "id": "string", "is_available": true, "is_database": true, "is_deleting": true, "is_pending_resize": true, "mount_path": "string", "mount_status": "unattached", "mounted_on_service_id": "6de1f4a4-7b8e-4432-bffa-782791ce061a", "name": "string", "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9", "requested_gb": 0.1, "status": "Pending", "team_id": "810007d0-bec5-486c-b5d1-28fcd8a079ba", "type": "team", "used_gb": 0.1 } ] } ], "template_id": "c6d67e98-83ea-49f0-8812-e4abae2b68bc" }}